%global pypi_name codacy-coverage

Name:           python-%{pypi_name}
Version:        1.3.11
Release:        1%{?dist}
Summary:        Codacy coverage reporter for Python

License:        MIT
URL:            https://github.com/codacy/python-codacy-coverage
Source0:        https://files.pythonhosted.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(check-manifest)
BuildRequires:  python3dist(coverage)
BuildRequires:  python3dist(nose)
BuildRequires:  python3dist(requests) >= 2.9.1
BuildRequires:  python3dist(setuptools)

%description
Python coverage reporter for Codacy

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(coverage)
Requires:       python3dist(nose)
Requires:       python3dist(requests) >= 2.9.1
Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
Python coverage reporter for Codacy


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# version number was wrong (remove if not necessary)
sed -i 's/1.3.0/%{version}/' setup.py

%build
%py3_build

%install
%py3_install

%check
# tests are failling with "ModuleNotFoundError: No module named 'tests'"
# disabling for now
# %{__python3} setup.py test

%files -n python3-%{pypi_name}
%doc README.rst
%{_bindir}/python-codacy-coverage
%{python3_sitelib}/codacy
%{python3_sitelib}/codacy_coverage-%{version}-py?.?.egg-info

%changelog
* Sat Sep  1 2018 José Matos <jamatos@fedoraproject.org> - 1.3.11-1
- initial package.
